<?php 
##
## Ukazka z http://www.qark.net/clanek/jak-si-vytvorit-vlastni-zalozky
## Vytvoril Bohumil Precechtel aka Qark - http://www.qark.net
##
## Licence: Zadna. Proste jen respektujte MIT licenci, ktera se
## nachazi ve scripty/MIT-LICENSE a ktera se vztahuje k javascriptovym
## castem. Ja si zadnou licenci, ani zvlastni chovani se zdrojaky nenarokuji.
##


## nacti soubor s potrebnymi funkcemi
require("config.php");

## pokud je tu navstevnik poprve, vytvor cookies se zalozkami
if (!$_COOKIE['zalozka'])  { 
  ## Pozor! pokud ukladate cookies, nelze tam vlozit pole. 
  ## Nejdriv je potreba provest serializaci pole do retezce.
  $odkazy = serialize(array());
  SetCookie("zalozka", $odkazy, time()+$trvani);
  $_COOKIE['zalozka'] = $odkazy;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"  "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Záložky - utf8 kódování</title>
<meta name="author" content="Bohumil Přecechtěl aka Qark" />

<link href="styl.css" rel="stylesheet" type="text/css" />

<script src="scripty/prototype.js" type="text/javascript"></script>
<script src="scripty/effects.js" type="text/javascript"></script>
<script src="scripty/dragdrop.js" type="text/javascript"></script>
<script src="scripty/main.js" type="text/javascript"></script>
<?php
## mrknete se do scripty/main.js - je tam zkraceny zapis AJAX funkce, ktera se
## pouziva v souboru config.php a jmenuje se smazURL(id)
## Proto je tu ten javascriptovy soubor prilinkovan!
?>
</head>
<body>
<div id="menu">
<?php
  echo '<div id="pridat" style="display: none">
<div id="odkazy">';

  ## z cookie s nazvem 'zalozka' udelame pole 
  $odkazy = unserialize($_COOKIE['zalozka']);
  
  ## a to projdeme funkci ukazOdkazy() ze souboru config.php a nasledne vypiseme  
  echo ukazOdkazy($odkazy);

  echo '<img style="display:none" id="indicator" alt="Indicator" src="indicator.gif" />
</div>
</div>

<script type="text/javascript">
  Element.show(\'pridat\'); //záložky se zobrazí, pokud máte zapnutý javascript
  Droppables.add(\'pridat\', {accept:\'titulek\', onDrop:function(element){new Ajax.Updater(\'odkazy\', \'pridej_zalozku.php\', {onLoading:function(request){Element.show(\'indicator\')}, onComplete:function(request){Element.hide(\'indicator\')}, parameters:\'id=\' + encodeURIComponent(element.id), evalScripts:true, asynchronous:true})}});
</script>';
?>
</div>

<div id="obsah">
<h2 id='id_1' class='titulek'>První článek pro přetáhnutí</h2>
<p>Malesuada laoreet nec in quis habitasse montes vestibulum id Vestibulum vitae. 
Nam rutrum congue eget ut metus hendrerit ligula risus magna Nulla. 
Tincidunt Morbi nibh Nulla semper turpis congue id ut pede Vestibulum. 
Et Donec orci amet porta at risus dignissim urna mauris volutpat. 
Phasellus Curabitur sit montes eu elit semper tempor orci sem id. 
Vestibulum laoreet id Aliquam In eu orci ante ullamcorper tempor.</p>
<script type="text/javascript">new Draggable('id_1', {revert:true});</script>

<?php
## priklad vklani pomocí PHP
## v podstate je ukazano, ze staci za id_ vlozit treba ID, ci URL clanku a to potom lze pouzit dal
## a podle nej treba v pridej_zalozku.php vybirat z databaze nazev clanku

  $id = 2;

  echo "<h2 id='id_$id' class='titulek'>Druhý článek</h2>
<p>Lorem ipsum dolor sit amet consectetuer condimentum consequat Aenean malesuada magna. 
Morbi eleifend Quisque urna fringilla nec ligula convallis eget dui vel. 
Vitae et eu hac Maecenas neque libero faucibus ut aliquet Maecenas. 
Urna faucibus sem pede habitant semper odio Aenean sodales interdum elit. 
Elit faucibus laoreet vel Fusce eget et Nam justo enim elit. Fringilla eu volutpat morbi massa justo senectus.</p>
<script type=\"text/javascript\">new Draggable('id_$id', {revert:true});</script>";

?>

<h2 id='id_3' class='titulek'>Poslední článek</h2>
<p>Malesuada laoreet nec in quis habitasse montes vestibulum id Vestibulum vitae. 
Nam rutrum congue eget ut metus hendrerit ligula risus magna Nulla. 
Tincidunt Morbi nibh Nulla semper turpis congue id ut pede Vestibulum. 
Et Donec orci amet porta at risus dignissim urna mauris volutpat. 
Phasellus Curabitur sit montes eu elit semper tempor orci sem id. 
Vestibulum laoreet id Aliquam In eu orci ante ullamcorper tempor.</p>
<script type="text/javascript">new Draggable('id_3', {revert:true});</script>
</div>
</body>
</html>
